QGIS Application - Bug report #10022
QGIS browser behaviour
2014-04-08 06:58 PM - Antonio Locandro

Status: Closed

Priority: Normal

Assignee:

Category: Browser

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: wontfix
Crashes QGIS or corrupls data: Copied to github as #: 18508

Description

Hi, | was wondering why QGIS Browser Standalone and QGIS Browser separate app do not work exactly the same. | was trying to add a
folder to favourite and | thought that wasn't possible until | tried within QGIS itself. It seems rather strange that the same functionality is
actually not working.

History

#1 - 2014-04-08 08:03 PM - Etienne Tourigny
- Category changed from Browser to 95

| dont't see why you create a ticket for this. They are separate apps that share a good portion of the code base. If there is something missing from either

you should file a feature request ticket. For this particular case, it's probably because the browser in QGIS has received more attention recently.

Now it's not clear to me which one does not have this functionality - the browser in QGIS or the Browser standalone app?

#2 - 2014-04-08 08:08 PM - Antonio Locandro

The standalone one does not have the same behaviour, in my opinion they should both work the same, it's confusing it isn't. Maybe something that should
be addressed in the UI/UX list. | would see no reason why they would behave differently.

#3 - 2014-04-09 11:22 AM - Etienne Tourigny

Feel free to address this on the Ul list. | for one feel no need to maintain the standalone browser app, when (almost) everything can be done in the browser
dock inside QGIS.

#4 - 2017-04-30 09:56 PM - Giovanni Manghi

- Status changed from Open to Closed

#5 - 2017-04-30 09:57 PM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

- Resolution set to wontfix

#6 - 2017-04-30 10:00 PM - Giovanni Manghi

Standalone browser have been removed from QGIS3 code base and the decision was to not do any fix/fenhancement for the 2.18.* releases. If the
issues/feature request do also apply to the QGIS browser (the one integrated in the main program) please file again the issue/feature request using

"Browser (QGIS Desktop)" as category. Thanks.
